﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
@{
    ViewBag.Title = "Tu compra";
}

@using (Html.BeginForm("Step1", "ShoppingCart", FormMethod.Post, new { name = "CloseOrder", @class = "form" }))
{

    <section id="cart-page" class="shopping-cart">
        <div class="container">
            <!-- ========================================= CONTENT ========================================= -->

            <h4 class="border" style="font-weight:500 !important;text-transform:none;margin-bottom:2rem;">Orden #@Model.OrderId - Detalle de tu compra</h4>
            <div class="content__container content__container-cart-content">


                <div class="shopping-cart__table cart-table">

                    <div class="cart-table__header">
                        <span class="cart-table__cell">Artículo</span>
                        <span class="cart-table__cell"></span>
                        <span class="cart-table__cell">Talle</span>
                        <span class="cart-table__cell">Color</span>
                        <span class="cart-table__cell">Unidades</span>
                        <span class="cart-table__cell">Precio</span>
                        <span class="cart-table__cell"></span>
                        <span class="cart-table__cell"></span>
                    </div>

                    <div class="cart-table__body">
                        @foreach (var od in Model.OrderDetails)
                        {
                            <div class="cart-table__row js-cart-item" data-orderdetailid="@od.OrderDetailId">
                                <div class="cart-table__cell cart-table__cell--image">
                                    <img class="cart-table__product-image" @*src="http://localhost:33158/Content/UploadDirectory/Products/Resized/5795/image_5e7fe6ad-b1d1-4813-9a51-8c06120e9e20.jpg"*@ src="@od.ProductImage" alt="@od.Title" />
                                </div>

                                <div class="cart-table__cell -desktop">
                                    <span class="cart-table__cell-info -desktop">@od.Title</span>
                                </div>
                                <div class="cart-table__cell -desktop">@od.SizeDescription</div>
                                <div class="cart-table__cell -desktop">@od.ColorDescription</div>
                                <div class="cart-table__cell cart-table__cell--product">
                                    <span class="cart-table__cell-info -mobile">@od.Title</span>
                                    <span class="cart-table__cell-info -mobile">@od.SizeDescription</span>
                                    <span class="cart-table__cell-info -mobile">@od.ColorDescription</span>
                                    <input type="number" disabled class="js-quantity cart-table__quantity" name="Quantity_@od.OrderDetailId" value="@od.Quantity" min="1" />
                                    <span class="cart-table__quantity-help hidden"></span>
                                </div>

                                <div class="cart-table__cell -desktop js-price">@od.Price.ToString("c2")</div>
                                <div class="cart-table__cell"></div>
                                <div class="cart-table__cell">
                                    <div class="cart-table__action"><span class="cart-table__price -mobile">@od.Price.ToString("c2")</span></div>
                                </div>
                            </div>
                        }
                    </div>
                </div>

                <div class="shopping-cart--summary">
                    <div class="cart-table__header" style="height:36px;">
                        <span class="cart-table__cell cart-table__cell-fit">Resumen de compra</span>
                    </div>
                    <div class="cart-table__body">
                        <div class="cart-table__row cart-table__row-noflex">
                            <div class="summary__subtotal">Subtotal<span id="summary__subtotal">@Model.TotalOrderDetails.ToString("c2")</span></div>
                            <div class="summary__discount">Descuento<span id="summary__discount">@Model.Discount</span></div>
                            <div class="summary-total">Total <span id="summary__total">@Model.TotalWithDiscount.ToString("c2")</span></div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>

}

<div id="validationAlert" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Atención</h4>
            </div>
            <div class="modal-body">
                <p id="mensajeValidacion"></p>
            </div>
            <div class="modal-footer">
                <button id="btnAceptar" onclick="aceptar(@Model.OrderId)" type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>
                <button onclick="cancelar()" type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            </div>
        </div>
    </div>
</div>
@section Scripts {

<script src="~/Scripts/Account/RepeatOrder.js" type="text/javascript"></script>

}
